import request from '@/utils/request'

// 查询会员指南列表
export function listGuide(query) {
  return request({
    url: '/mall/guide/list',
    method: 'get',
    params: query
  })
}

// 查询会员指南详细
export function getGuide(guideId) {
  return request({
    url: '/mall/guide/' + guideId,
    method: 'get'
  })
}

// 新增会员指南
export function addGuide(data) {
  return request({
    url: '/mall/guide',
    method: 'post',
    data: data
  })
}

// 修改会员指南
export function updateGuide(data) {
  return request({
    url: '/mall/guide',
    method: 'put',
    data: data
  })
}

// 删除会员指南
export function delGuide(guideId) {
  return request({
    url: '/mall/guide/' + guideId,
    method: 'delete'
  })
}
